Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.dipendentessr.vo.nuovodipendente
Class DatiAnagraficiDipendente

    java.lang.Object
      it.svimservice.nsisr.web.ws.dipendentessr.vo.nuovodipendente.DatiAnagraficiDipendente

    public class DatiAnagraficiDipendente

extends java.lang.Object

Dati anagrafici del dipendente.

Field Summary
`private java.lang.String` | `codiceFiscale` Codice fiscale del dipendente.
`private java.lang.String` | `codIstatComuneNascita` Codice ISTAT del comune di nascita.
`private java.lang.String` | `codIstatComuneResidenza` Codice ISTAT del comune di residenza.
`private int` | `codProvinciaNascita` Codice della provincia di nascita.
`private int` | `codProvinciaResidenza` Codice della provincia di residenza.
`private java.lang.String` | `cognome` Cognome del dipendente.
`private java.lang.String` | `dataNascita` Data di nascita.
`private java.lang.String` | `indirizzoResidenza` Indirizzo di residenza.
`private java.lang.String` | `nome` Nome del dipendente.
`private java.lang.String` | `sesso` Sesso.
`private java.lang.String` | `statoCivile` Stato civile del dipendente.

Constructor Summary
`DatiAnagraficiDipendente()`

Method Summary
`java.lang.String` | `getCodiceFiscale()`
`java.lang.String` | `getCodIstatComuneNascita()`
`java.lang.String` | `getCodIstatComuneResidenza()`
`int` | `getCodProvinciaNascita()`
`int` | `getCodProvinciaResidenza()`
`java.lang.String` | `getCognome()`
`java.lang.String` | `getDataNascita()`
`java.lang.String` | `getIndirizzoResidenza()`
`java.lang.String` | `getNome()`
`java.lang.String` | `getSesso()`
`java.lang.String` | `getStatoCivile()`
`void` | `setCodiceFiscale(java.lang.String codiceFiscale)`
`void` | `setCodIstatComuneNascita(java.lang.String codIstatComuneNascita)`
`void` | `setCodIstatComuneResidenza(java.lang.String codIstatComuneResidenza)`
`void` | `setCodProvinciaNascita(int codProvinciaNascita)`
`void` | `setCodProvinciaResidenza(int codProvinciaResidenza)`
`void` | `setCognome(java.lang.String cognome)`
`void` | `setDataNascita(java.lang.String dataNascita)`
`void` | `setIndirizzoResidenza(java.lang.String indirizzoResidenza)`
`void` | `setNome(java.lang.String nome)`
`void` | `setSesso(java.lang.String sesso)`
`void` | `setStatoCivile(java.lang.String statoCivile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codiceFiscale

    @Facets(pattern="[a-zA-Z]{6}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{3}[a-zA-Z]{1}|[0-9]{11}")
    @MinOccurs(value=1L)
    private java.lang.String codiceFiscale

  Codice fiscale del dipendente.

### cognome

    @Facets(minLength=1L,
            maxLength=80L)
    @MinOccurs(value=1L)
    private java.lang.String cognome

  Cognome del dipendente.

### nome

    @Facets(minLength=1L,
            maxLength=80L)
    @MinOccurs(value=1L)
    private java.lang.String nome

  Nome del dipendente.

### sesso

    @Facets(length=1L,
            pattern="(M|F)?")
    @MinOccurs(value=1L)
    private java.lang.String sesso

  Sesso. Puņ assumere i seguenti valori:
  - M: Maschile
  - F: Femminile

### dataNascita

    @Facets(pattern="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}")
    @MinOccurs(value=1L)
    private java.lang.String dataNascita

  Data di nascita.

### codIstatComuneNascita

    @Facets(minLength=1L,
            maxLength=6L)
    @MinOccurs(value=1L)
    private java.lang.String codIstatComuneNascita

  Codice ISTAT del comune di nascita.

### codProvinciaNascita

    @Facets(totalDigits=4L)
    @MinOccurs(value=1L)
    private int codProvinciaNascita

  Codice della provincia di nascita.

### codIstatComuneResidenza

    @Facets(minLength=1L,
            maxLength=6L)
    @MinOccurs(value=1L)
    private java.lang.String codIstatComuneResidenza

  Codice ISTAT del comune di residenza.

### codProvinciaResidenza

    @Facets(totalDigits=4L)
    @MinOccurs(value=1L)
    private int codProvinciaResidenza

  Codice della provincia di residenza.

### indirizzoResidenza

    @Facets(minLength=1L,
            maxLength=130L)
    @MinOccurs(value=1L)
    private java.lang.String indirizzoResidenza

  Indirizzo di residenza.

### statoCivile

    @Facets(pattern="(0|1|2|3|4|5|6|7){1}")
    @MinOccurs(value=1L)
    private java.lang.String statoCivile

  Stato civile del dipendente. Puņ assumere i seguenti valori:
  - 1: celibe/nubile
  - 2: coniugato/a
  - 3: separato/a
  - 4: divorziato/a
  - 5: vedovo/a
  - 6: stato libero
  - 7: non dichiarato
  - 0: non definito

Constructor Detail

### DatiAnagraficiDipendente

    public DatiAnagraficiDipendente()

Method Detail

### setCodiceFiscale

    public void setCodiceFiscale(java.lang.String codiceFiscale)

### getCodiceFiscale

    public java.lang.String getCodiceFiscale()

### setCognome

    public void setCognome(java.lang.String cognome)

### getCognome

    public java.lang.String getCognome()

### setNome

    public void setNome(java.lang.String nome)

### getNome

    public java.lang.String getNome()

### setSesso

    public void setSesso(java.lang.String sesso)

### getSesso

    public java.lang.String getSesso()

### setDataNascita

    public void setDataNascita(java.lang.String dataNascita)

### getDataNascita

    public java.lang.String getDataNascita()

### setCodIstatComuneNascita

    public void setCodIstatComuneNascita(java.lang.String codIstatComuneNascita)

### getCodIstatComuneNascita

    public java.lang.String getCodIstatComuneNascita()

### setCodIstatComuneResidenza

    public void setCodIstatComuneResidenza(java.lang.String codIstatComuneResidenza)

### getCodIstatComuneResidenza

    public java.lang.String getCodIstatComuneResidenza()

### setIndirizzoResidenza

    public void setIndirizzoResidenza(java.lang.String indirizzoResidenza)

### getIndirizzoResidenza

    public java.lang.String getIndirizzoResidenza()

### setStatoCivile

    public void setStatoCivile(java.lang.String statoCivile)

### getStatoCivile

    public java.lang.String getStatoCivile()

### setCodProvinciaNascita

    public void setCodProvinciaNascita(int codProvinciaNascita)

### getCodProvinciaNascita

    public int getCodProvinciaNascita()

### setCodProvinciaResidenza

    public void setCodProvinciaResidenza(int codProvinciaResidenza)

### getCodProvinciaResidenza

    public int getCodProvinciaResidenza()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD